Update a policy
PUT
/auth/v1/memberships/{orgId}/policies/{policyId}Updates an existing authorization policy's name, description, and permissions.
Authorization
Bearer Authorization<token>
In: header
Path Parameters
orgId*string
Organization ID
policyId*string
Policy ID
Request Body
requiredapplication/json{
"$ref": "#/components/schemas/internal_auth.policyBody",
"$ref-value": {
"properties": {
"description": {
"type": "string"
},
"name": {
"type": "string"
},
"permissions": {
"items": {
"type": "string"
},
"minItems": 1,
"type": "array"
}
},
"required": [
"name",
"permissions"
],
"type": "object"
}
}Response Body
200application/json
OK
type: unknown
{
"$ref": "#/components/schemas/authv1.Policy",
"$ref-value": {
"properties": {
"created_at": {
"type": "string"
},
"created_by": {
"type": "string"
},
"description": {
"type": "string"
},
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"org_id": {
"type": "string"
},
"permissions": {
"items": {
"type": "string"
},
"type": "array"
},
"updated_at": {
"type": "string"
}
},
"type": "object"
}
}curl -X PUT "https://api.rixl.com/auth/v1/memberships/string/policies/string" \
-H "Content-Type: application/json" \
-d '{
"name": "string",
"permissions": [
"string"
]
}'OK
application/json
{
"$ref": "#/components/schemas/authv1.Policy",
"$ref-value": {
"properties": {
"created_at": {
"type": "string"
},
"created_by": {
"type": "string"
},
"description": {
"type": "string"
},
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"org_id": {
"type": "string"
},
"permissions": {
"items": {
"type": "string"
},
"type": "array"
},
"updated_at": {
"type": "string"
}
},
"type": "object"
}
}